#
# Conditional build:
%bcond_without	tests	# unit tests
#
Summary:	GD - interface to GD graphics library
Summary(pl.UTF-8):	GD - interfejs do biblioteki graficznej GD
Name:		perl-GD
Version:	2.82
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/GD/GD-%{version}.tar.gz
# Source0-md5:	58037659bd990356a7151a2682763a79
Patch0:		%{name}-paths.patch
URL:		https://metacpan.org/dist/GD
BuildRequires:	gd-devel >= 2.0.28
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(ExtUtils::Constant) >= 0.22
BuildRequires:	perl-ExtUtils-PkgConfig
%if %{with tests}
BuildRequires:	perl-Math-Trig
BuildRequires:	perl-Test-Fork >= 0.02
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	gd >= 2.0.28
Provides:	perl-GD(gif) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD.pm is a Perl interface to Thomas Boutell's GD graphics library. GD
allows you to create color drawings using a large number of graphics
primitives, and emit the drawings as PNG files.

%description -l pl.UTF-8
GD.pm jest perlowym interfejsem do biblioteki graficznej GD Thomasa
Boutella. GD pozwala na tworzenie kolorowych rysunków przy użyciu
dużej liczby graficznych prymitywów oraz zapisywanie ich w formacie
PNG.

%prep
%setup -q -n GD-%{version}
%patch0 -p1


%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/GD}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -fa demos bdf_scripts \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/bdf_scripts/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README*
%attr(755,root,root) %{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/GD.pm
%{perl_vendorarch}/GD
%dir %{perl_vendorarch}/auto/GD
%{perl_vendorarch}/auto/GD/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/GD/GD.so
%dir %{perl_vendorlib}/GD
%{_mandir}/man1/bdf2gdfont.pl.1*
%{_mandir}/man3/GD*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jun 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GD.git;a=log;h=master

* Mon Jun 10 2024 Jakub Bogusz <qboosh@pld-linux.org> fa0340f
- updated to 2.82

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 25574d2
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d7a3cb3
- perl 5.36.0 rebuild

* Fri Jun 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 973a3bb
- updated to 2.76

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 1cfaf31
- rebuild with perl 5.34.0

* Thu Jul 01 2021 Jakub Bogusz <qboosh@pld-linux.org> a8024f1
- updated to 2.73

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 92f36ad
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b7a1888
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 59237f1
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Feb 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 32e4a47
- updated to 2.71

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 6760098
- release 2

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5db855f
- up to 2.68

* Fri Jan 19 2018 Marcin Krol <hawk@tld-linux.org> 15e425b
- updated to 2.67

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 165be94
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 13dcf6f
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> a872847
- Add missing dep

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 8f81453
- Up to 2.66

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> d5161b1
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d2af550
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Mon Aug 29 2016 Jan Rękorajski <baggins@pld-linux.org> 4c70394
- rebuild with libvpx 1.6
- release 3 (by relup.sh)

